Subject: Re: [Speechsc] Confusuion with INTERPRET

From: Dan Burnett <[email-masked]>
Date: Tue, 29 Dec 2009 06:28:59 -0500

Corby,

Thanks for catching these typos.  You are correct, and I will update  
as you suggest.  See below.

-- dan

On Aug 21, 2009, at 9:13 PM, Corby Anderson wrote:

> Does section 9.20 INTERPRET need some clarification? 9.20 states  
> that INTERPRETATION should return an INTERPRETATION-COMPLETE event  
> (as described in 9.21), but the example in section 9.20 shows the  
> following response:
>
>    S->C:    MRCP/2.0 49 543267 200 COMPLETE
>            Channel-Identifier:32AECB23433801@speechrecog
>            Completion-Cause:000 success
>            Content-Type:application/nlsml+xml
>            Content-Length:...
>
> That S->C format is for responses (5.3), not events (5.5).  Contrast  
> this with the RECOGNITION-RESPONSE event to RECOGNIZE:
>
>    S->C:MRCP/2.0 486 RECOGNITION-COMPLETE 543260 COMPLETE
>    Channel-Identifier:32AECB23433801@speechrecog
>    Completion-Cause:000 success
>    Waveform-URI:<http://web.media.com/session123/audio.wav>;
>                 size=124535;duration=2340
>    Content-Type:applicationt/x-nlsml
>    Content-Length:...
>
> Shouldn’t the first line of the INTERPRETATION-COMPLETE event be  
> something like the following?
>    S->C:    MRCP/2.0 49 INTERPRETATION-COMPLETE 543267 COMPLETE

Yes.  I will correct this in 9.20 and 9.21 in the next draft.

>
> The only mention of INTERPRETATION-COMPLETE in the spec are
> * table of contents
> * 9.3 Recognizer events
> * 9.21 where it’s described
> * 13.1.2 MRCPv2 methods and events
> * 15 Normative definition
>
> I found no usage examples for INTERPRETATION-COMPLETE; most notably  
> not in 9.20
>
>
>
> Also, section 9.9 states
>    For the recognizer resource, RECOGNIZE is the only request that
>    returns a request-state of IN-PROGRESS, meaning that recognition is
>    in progress.
>
> But the example in 9.20 for INTERPRET shows
>    S->C:    MRCP/2.0 49 543266 200 IN-PROGRESS
>            Channel-Identifier:32AECB23433801@speechrecog
>
> Is the recognizer resource the resource that performs  
> interpretation?  If so, then the text in 9.9 should be changed to  
> say the following:
>    For the recognizer resource, RECOGNIZE and INTERPRET are the only
>    requests that return a request-state of IN-PROGRESS, meaning that
>    recognition or interpretation is in progress.

I will also make this change in the next draft.

>
>
> Corby Anderson
>
> _______________________________________________
> Speechsc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/speechsc
> Supplemental web site:
> &lt;http://www.standardstrack.com/ietf/speechsc&gt;